Skip to main content

Get Schedule Modifications

GET 

/v1/product/:product_id/schedule/:schedule_id/modification

Get all modifications for an schedule

Request

Path Parameters

    product_id uuidrequired

    The product ID

    schedule_id uuidrequired

    The schedule ID

Query Parameters

    name Name

    Filter by name

    description Description

    Filter by description

    sort_by any

    Field to sort by

    sort_order Sort Order

    Possible values: Value must match regular expression ^(asc|desc)$

    Default value: asc

    Sort order

    cursor Cursor

    Default value: 0

    Pagination cursor

    page_size Page Size

    Default value: 10

    Page size

Responses

Successful Response

Schema

    data

    object[]

    required

    List of modifications

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    target_id Target Id (string)required

    Unique identifier for the target

    target_type Target Type (string)required

    Type of entity being modified

    field_name Field Name (string)required

    Name of the field being modified

    value_boolean Value Boolean (boolean)

    Boolean value modification

    value_string Value String (string)

    String value modification

    value_integer Value Integer (integer)

    Integer value modification

    value_float Value Float (number)

    Float value modification

    value_datetime date-time

    Datetime value modification

    name Name (string)

    Name of the modification

    description Description (string)

    Description of the modification

    reference_sandbox_id uuid

    ID of the sandbox of which the modification originated

    model_config object

    Default value: [object Object]

    delete_overlay_mod Delete Overlay Mod (boolean)

    Whether to delete the overlay modification from the overlay.

    schedule_id uuidrequired

    ID of the parent event

    modification_id uuidrequired

    Unique identifier for the modification

    product_id uuidrequired

    Unique product identifier for the modification

  • ]

  • page_meta

    object

    required

    Metadata for pagination.

    cursor Cursor (string)required

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    Total number of entities

Loading...